curl --request GET \
--url https://api.withorb.com/v1/plans/{plan_id}/migrations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"plan_id": "<string>",
"effective_time": "2023-12-25",
"status": "not_started"
}
],
"pagination_metadata": {
"has_more": true,
"next_cursor": "<string>"
}
}This endpoint returns a list of all migrations for a plan. The list of migrations is ordered starting from the most recently created migration. The response also includes pagination_metadata, which lets the caller retrieve the next page of results if they exist.
curl --request GET \
--url https://api.withorb.com/v1/plans/{plan_id}/migrations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"plan_id": "<string>",
"effective_time": "2023-12-25",
"status": "not_started"
}
],
"pagination_metadata": {
"has_more": true,
"next_cursor": "<string>"
}
}API Keys can be issued in the Orb's web application.
The number of items to fetch. Defaults to 20.
1 <= x <= 100Cursor for pagination. This can be populated by the next_cursor value returned from the initial request.
Was this page helpful?